List All Categories

This endpoint returns a paged list of all categories supported by TCGplayer.

This endpoint is a good starting point for getting information about all of the different product categories that are listed on TCGplayer.

{
  "totalItems": 0,
  "success": true,
  "errors": [
    "string"
  ],
  "results": [
    {
      "categoryId": 0,
      "name": "string",
      "modifiedOn": "2017-11-21T00:47:27.037Z",
      "displayName": "string",
      "seoCategoryName": "string",
      "sealedLabel": "string",
      "nonSealedLabel": "string",
      "conditionGuideUrl": "string",
      "isScannable": true,
      "popularity": 0
    }
  ]
}
/catalog/categories?sortOrder=categoryId&offset=1&limit=3

Headers:
Authorization | {{bearerToken}}

Response:
{
    "totalItems": 57,
    "success": true,
    "errors": [],
    "results": [
        {
            "categoryId": 2,
            "name": "YuGiOh",
            "modifiedOn": "2019-03-04T21:54:42.943",
            "displayName": "YuGiOh",
            "seoCategoryName": "YuGiOh",
            "sealedLabel": "Sealed Products",
            "nonSealedLabel": "Single Cards",
            "conditionGuideUrl": "https://store.tcgplayer.com/help/yugiohconditions",
            "isScannable": true,
            "popularity": 1058057
        },
        {
            "categoryId": 3,
            "name": "Pokemon",
            "modifiedOn": "2019-03-04T16:37:09.093",
            "displayName": "Pokemon",
            "seoCategoryName": "Pokemon",
            "sealedLabel": "Sealed Products",
            "nonSealedLabel": "Single Cards",
            "conditionGuideUrl": "https://store.tcgplayer.com/help/cardconditionguide",
            "isScannable": true,
            "popularity": 576635
        },
        {
            "categoryId": 4,
            "name": "Axis & Allies",
            "modifiedOn": "2017-03-01T11:03:09.737",
            "displayName": "Axis & Allies",
            "seoCategoryName": "Axis & Allies",
            "sealedLabel": "Sealed Products",
            "nonSealedLabel": "Miniatures",
            "conditionGuideUrl": "https://store.tcgplayer.com/",
            "isScannable": false,
            "popularity": 0
        }
    ]
}
Query Params
int32

Used for paging. The number of categories to skip. Default is 0.

int32

Used for paging. The maximum number of categories to return. Default is 10.

string

The name of the property by which to sort the returned categories. If not
specified, results will be sorted by name.

boolean

If true then sort descending, otherwise sort ascending.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

Offset is less than 0 or limit is less than or equal to 0.

404

No categories found.

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json